Skip to Content
Webhooks

List webhook endpoints

GET
/developer/webhooks

Your account's webhook endpoints. The secret is never shown again; secretPrefix tells them apart. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Response Body

The endpoints, oldest first.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X GET 'https://api.getmattered.com/api/v1/developer/webhooks'
Example Response
{
  "data": {
    "endpoints": [
      {
        "createdAt": "string",
        "id": 1,
        "secretPrefix": "string",
        "url": "string"
      }
    ]
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}